@mixin main {

    height: 40px;
    width: 100%;
    display: flex;
    overflow-y: hidden;
    overflow-x: auto;
    font-size: 10pt;

    --drag-w: 40px;

    .onglet {
        
        height: 40px;
        position: relative;
        background: var(--bg-5);
        margin-left: 0px;

        padding-bottom: 2px;
        
        color: var(--fg);
        border-right: var(--border);

        transition: ease transform .1s;
        white-space: nowrap;
        transform: rotate(0deg);

        &.drag {
            opacity: 0.8;
            position: fixed;
            z-index: 10;

            & + .onglet {
                margin-left: var(--drag-w);
            }

        }
        
        .wrap {

            padding: 5px 10px;
            background: var(--bg-1);
            display: flex;
            height: 100%;
            width: 100%;
            user-select: none;
            justify-content: center;
            align-items: center;
            gap: 10px;
            font-weight: bold;

            .fa {
                font-size: 15px;
                font-weight: lighter;
                color: var(--bg-4);
                &:hover {
                    color: var(--bg-5);                        
                }
                &:active {
                    color: var(--bg-3);
                }
            }

        }

        &:hover {
            background: var(--theme-hover);
            .wrap {
                background: var(--bg-1);
            }
        }

        &.actif {
            background: var(--theme);
        }

    }
            
}

@mixin air {

    padding: 5px;
    padding-bottom: 10px;
    height: 50px;
    gap: 10px;

    .onglet {
        
        height: 35px;
        padding: 2px;
        border-radius: 5px;
        border: none;                
        box-shadow: 1px 1px 6px -4px #000;

        .wrap {
            border-radius: 3px;
        }

        transform: rotate(0);

        &.drag {
            transform: rotate(10deg);
            
            & + .onglet {
                margin-left: calc(var(--drag-w) + 8px);
            }
        }

    }

}